Bug Hunting Session
Bug 93720 - Crash "Assertion failed" with Draw Frame on table.
Summary: Crash "Assertion failed" with Draw Frame on table.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-08-27 19:52 UTC by Regina Henschel
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer document to reproduce the crash (10.75 KB, application/vnd.oasis.opendocument.text)
2015-08-27 19:52 UTC, Regina Henschel
Details
bt with debug symbols (10.86 KB, text/plain)
2015-08-28 22:28 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2015-08-27 19:52:04 UTC
Created attachment 118232 [details]
Writer document to reproduce the crash

(You can use the attached document for testing.) Take a Writer document with a table. Select the table. Goto Insert > Frame > Draw Frame. Crash!

The error message is:
Assertion failed!
Program:C:\LO_buildDebug\core\instdir\program\swlo.dll
File: C:/LO_buildDebug/dore/sw/source/core7docnode/node.cxx
Line: 2051
Expression: m_pAnchoredFlys

I use a self-built debug build on 32-bit Windows7.
Version: 5.1.0.0.alpha1+
Build ID: d3de490437df4c9093f32e97fc185066d64c0f46
Locale: de-DE (de_DE)
Comment 1 Maxim Monastirsky 2015-08-27 22:39:51 UTC
Confirmed under Fedora 22 (64-bit). Build ID: c249f93d96ec87b0acbd25ffe087543d6fe9fb14
Comment 2 Julien Nabet 2015-08-28 22:28:08 UTC
Created attachment 118249 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2015-08-28 23:19:58 UTC
I tried to compare with Insert Frame/Frame, this last one uses doclay (whereas Draw Frame uses docfly), both obviously concern frames but I wouldn't tell the difference.

Michael: Noticing http://cgit.freedesktop.org/libreoffice/core/commit/?id=e07feb9457f2ffb373ae69b73dda290140e4005f, I don't know if there might be a pb in the patch or if it's triggered an hidden/tricky pb.
Any thought?
Comment 4 Commit Notification 2015-10-06 05:46:14 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd5906358bed831c3811bcb658eeaf98d5dba9b9

tdf#93720: Interactive frame insertion is disabled if table is selected

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2015-10-29 18:09:45 UTC
backport on 5.0 branch in review:
https://gerrit.libreoffice.org/#/c/19675/
Comment 6 Commit Notification 2015-10-30 11:22:54 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=278287256f560a21105998164e7ee055a7fa36c0&h=libreoffice-5-0

tdf#93720: Interactive frame insertion is disabled if table is selected

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.